SystemOrganization addCategory: #WebCounter!

WAComponent subclass: #WebCounter
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'WebCounter'!

!WebCounter commentStamp: 'BiancaBologa 1/26/2013 13:18' prior: 0!
A counter that can count up and down.

Instance Variables:
	count	<Number>!

!WebCounter class methodsFor: 'class initialization' stamp: 'BiancaBologa 1/26/2013 13:13'!
initialize
	"WebCounter initialize"
	
WAAdmin register: self asApplicationAt: 'webcounter'! !

!WebCounter methodsFor: 'actions' stamp: 'BiancaBologa 1/26/2013 13:01'!
decrease
	count := count - 1! !

!WebCounter methodsFor: 'actions' stamp: 'BiancaBologa 1/26/2013 13:01'!
increase
	count := count + 1! !

!WebCounter methodsFor: 'initialization' stamp: 'BiancaBologa 1/26/2013 12:58'!
initialize
	super initialize.
	count := 0! !

!WebCounter methodsFor: 'rendering' stamp: 'BiancaBologa 1/26/2013 13:16'!
renderContentOn: html
	html heading: count.
	html anchor
		callback: [self increase];
		with: '++'.
	html space.
	html anchor
		callback: [self decrease];
		with: '--'! !
WebCounter initialize!
